/*
 * Copyright 2010 Dustin Cartwright
 *
 * All rights reserved.
 */

package com.myriad.tmap;

import java.awt.event.WindowListener;
import java.awt.event.WindowEvent;
import java.awt.Frame;

/** Listener to make sure that the JVM quits when all the windows are closed. */
public class Quitter implements WindowListener {
    public Quitter() {}

    /* Quit if there are no displayable windows active */
    public void windowClosed(WindowEvent e) {
        Frame[]     frames = Frame.getFrames();

        for (int i = 0; i < frames.length; i++) {
            if (frames[i].isVisible())
                return;
        }
        System.exit(0);
    }

    public void windowActivated(WindowEvent e) {}
    public void windowClosing(WindowEvent e) {}
    public void windowDeactivated(WindowEvent e) {}
    public void windowDeiconified(WindowEvent e) {}
    public void windowIconified(WindowEvent e) {}
    public void windowOpened(WindowEvent e) {}
};
