/*
 * Copyright 2005-2006 Myriad Genetics, Inc.
 *
 * All rights reserved.
 */

#ifndef _H_GENMAP_
#define _H_GENMAP_

#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE 1
#endif

#define NUM_GENOTYPES 4

typedef double prob_t;

/* treated as a bit vector of length 4, which indicates which of of the four
   possible inheritances are possible. */
typedef int obs_t;

#define OBSERVATION_0001 0x01
#define OBSERVATION_0011 0x03
#define OBSERVATION_0101 0x05
#define OBSERVATION_0110 0x06
#define OBSERVATION_0111 0x07
#define OBSERVATION_1000 0x08
#define OBSERVATION_1010 0x0a
#define OBSERVATION_1110 0x0e
#define OBSERVATION_UNKNOWN 0x0f

typedef struct {
    char    *name;
    obs_t   *obs;
} marker_t;

typedef struct {
    int         numMarks;
    marker_t    *markers;
    int         numInds;
} pedigree_t;

#endif
