/*
 * Copyright 2005-2006 Myriad Genetics, Inc.
 *
 * All rights reserved.
 */

#include "genmap.h"
#include "ped.h"
#include "input.h"
#include "output.h"
#include <stdio.h>
#include <stdlib.h>

/* Merges 1 or more pedigrees into a single file. */
int main(int argc, char **argv)
{ 
    pedigree_t  ped;
    int		i;
    
    if (argc < 3) {
        fprintf(stderr, "usage: %s <in files>... <out file>\n", *argv);
        return EXIT_FAILURE;
    }
    
    if (!readFile(&ped, argv[1]))
        return EXIT_FAILURE;
    
    for (i = 2; i < argc - 1; ++i) {
        pedigree_t  filePed, tmpPed;
        
        if (!readFile(&filePed, argv[i])) {
            freePed(&ped);
            return EXIT_FAILURE;
        }
        mergePeds(&tmpPed, &ped, &filePed);
        swapPeds(&ped, &tmpPed);
        
        freePed(&tmpPed);
        freePed(&filePed);
    }
    
    writePed(&ped, argv[argc - 1]);
    
    freePed(&ped);
    return EXIT_SUCCESS;
}
